=== debian/changelog ===
glgrib (1.0-5) unstable; urgency=medium

  * Adding perl-xs-dev to the Build-Dependencies (Closes: #1102866)
  * Raising Standards version to 4.7.2 (no change)
  * Applying Multi-Arch hints

 -- Pierre Gruet <pgt@debian.org>  Tue, 19 Aug 2025 15:42:40 +0200

glgrib (1.0-4) unstable; urgency=medium

  * Fixing the clean target (Closes: #1044814)
  * Raising Standards version to 4.7.0 (no change)
  * Applying Multi-Arch hints
  * Rewriting Lintian overrides with wildcards

 -- Pierre Gruet <pgt@debian.org>  Sat, 11 May 2024 19:57:36 +0200

glgrib (1.0-3) unstable; urgency=medium

  * Removing files after the build while honouring -arch and -indep rules

 -- Pierre Gruet <pgt@debian.org>  Sat, 17 Jun 2023 16:56:32 +0200

glgrib (1.0-2) unstable; urgency=medium

  * Build-depending on libegl-dev
  * Adding a symbols file for the C library in liblfi0
  * Using dh-python for the build
  * Removing extra license files at build time
  * Adding a Lintian override for documentation outside /usr/share/doc
  * Adding Lintian overrides for false positives about spelling errors
  * Trim trailing whitespace.

 -- Pierre Gruet <pgt@debian.org>  Sat, 17 Jun 2023 14:14:22 +0200

glgrib (1.0-1) experimental; urgency=medium

  * Initial release (Closes: #1027277)

 -- Pierre Gruet <pgt@debian.org>  Sat, 14 Jan 2023 14:09:39 +0100
